#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xad18a916, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x109ac3dd, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0xae041837, __VMLINUX_SYMBOL_STR(unregister_pernet_subsys) },
	{ 0x57cd8061, __VMLINUX_SYMBOL_STR(register_pernet_subsys) },
	{ 0x1aa52eec, __VMLINUX_SYMBOL_STR(xt_hook_ops_alloc) },
	{ 0x77d2fedb, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x71365006, __VMLINUX_SYMBOL_STR(ipt_register_table) },
	{ 0x1086d05b, __VMLINUX_SYMBOL_STR(ipt_alloc_initial_table) },
	{ 0xc74c9584, __VMLINUX_SYMBOL_STR(ipt_do_table) },
	{ 0x6e5f5648, __VMLINUX_SYMBOL_STR(ipt_unregister_table) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=x_tables,ip_tables";

